<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>MailApp</title>
    <link
      href="https://fonts.googleapis.com/css?family=Lato:300,400,700"
      rel="stylesheet"
    />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.5.0/css/all.css"
      integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/styles.css" />
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
    />
  </head>
  <body>
    <div class="content-body">
      <div class="content-header justify-content-center">
        <div class="header-logo">
          <span class="title-logo h3">Correo</span>
        </div>
      </div>
      <div class="content-body-messages">
        <ul class="content-menu mt-4">
          <li class="pa-2">
            <p class="text-center h4" style="color: #16a085;">
              <%= userProfile.name %>
            </p>
            <div class="img-thumbnail">
              <img
                class="logo-email img-profile-header"
                id="img-profile-header"
                src="<%= userProfile.imgProfile %>"
                style="max-width: 200px;"
              />
            </div>
          </li>
          <li>
            <button
              class="btn btn-redactar ml-5"
              data-toggle="modal"
              data-target="#exampleModal"
            >
              <i class="fas fa-plus"></i>Redactar
            </button>
          </li>
          <!--<li class="btn-redactar ml-5" id="btn-redactar"><i class="fas fa-plus"></i>Redactar</li>-->
          <li class="item-menu active-item" id="itemInbox">
            <i class="fas fa-inbox icon-item-menu"></i>Recibidos
          </li>
          <li class="item-menu" id="itemTrash">
            <i class="fas fa-trash icon-item-menu"></i>Eliminados
          </li>
          <li class="item-menu" id="itemStore">
            <i class="fas fa-archive icon-item-menu"></i>Archivados
          </li>
        </ul>
        <div class="container-body-messages">
          <div class="content-menu-actual">
            <div class="item-menu-actual" id="item-menu-actual">
              <i class="fas fa-inbox icon-item-menu-actual"></i
              ><span>Correos Recibidos</span>
            </div>
          </div>
          <div class="content-messages" id="content-messages">
            <% if (messages.length === 0) { %>
            <p class="message-vacio">No tienes mensajes</p>
            <% } else { %> <% for(var i=0; i < messages.length; i++) { %>
            <div
              class="message classInbox <%= messages[i].labelIds.join(' ') %>"
            >
              <div class="btn-content">
                <i class="fas fa-archive" id="buttonStore"></i>
                <i class="fas fa-trash" id="buttonTrash"></i>
                <i class="fas fa-envelope-open" id="buttonUnread"></i>
                <i class="fas fa-clock" id="buttonClock"></i>
              </div>
              <span class="message-remitente"
                ><%= messages[i].From.split('"')[0] === '' ?
                messages[i].From.split('"')[1].length >= 19 ?
                messages[i].From.split('"')[1].substring(0, 19) + '.' :
                messages[i].From.split('"')[1] :
                messages[i].From.split('<')[0].length >= 19 ?
                messages[i].From.split('<')[0].substring(0, 19) + '.' :
                messages[i].From.split('<')[0] %></span
              >
              <span class="message-text"
                ><span class="message-subject"><%= messages[i].Subject %></span>
                - <%= messages[i].snippet %></span
              >
              <span class="message-date"
                ><%= new Date(messages[i].Date).getHours() %>:<%= new
                Date(messages[i].Date).getMinutes() %></span
              >
            </div>
            <% } %> <% } %>
          </div>
        </div>
      </div>

      <div
        class="modal fade"
        id="exampleModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="exampleModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header text-white" style="background: #16a085;">
              <h5 class="modal-title" id="exampleModalLabel">Nuevo Mensaje</h5>
              <button
                type="button"
                class="close"
                data-dismiss="modal"
                aria-label="Close"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form action="/send-email" method="POST" id="content-redactar">
                <div class="form-group">
                  <label for="para-input" class="col-form-label">Para:</label>
                  <input
                    type="text"
                    class="form-control"
                    id="para-input"
                    name="to"
                  />
                  <label for="asunto-input" class="col-form-label"
                    >Asunto:</label
                  >
                  <input
                    type="text"
                    class="form-control"
                    id="asunto-input"
                    name="subject"
                  />
                  <label for="text-message-input" class="col-form-label"
                    >Mensaje:</label
                  >
                  <textarea
                    class="form-control"
                    id="text-message-input"
                    name="message"
                  ></textarea>
                </div>
                <button
                  type="submit"
                  class="btn text-white"
                  style="background: #16a085;"
                >
                  Enviar
                </button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script src="js/main.js"></script>
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
      integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"
      integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
